{% extends '_base_layout.html' %}

{% block content %}
    <div class="container">
        <pre id="output">
API_URL = {{ API_URL }}

--- reset data</pre>
    </div>
{% endblock content %}


{% block js %}
    <script>
    {# insert sample #}
    const dataurl_png  = "{{ dataurl('img/namgivu.png') }}"  ; const  filename_png='namgivu.png'  ; const  filetype_png='png'
    const dataurl_png2 = "{{ dataurl('img/namgivu2.png') }}" ; const filename_png2='namgivu2.png' ; const filetype_png2='png'
    const dataurl_pdf  = "{{ dataurl('pdf/namgivu.pdf') }}"  ; const  filename_pdf='namgivu.pdf'  ; const  filetype_pdf='pdf'

    $(function(){
        $.when( {# run multiple ajax in serial manner ref. https://stackoverflow.com/a/22141383/248616 #}
            {# drop all #}
            $.ajax({ url: '{{ API_URL }}/fileupload_dropcollection', method: 'DELETE' }),

            {# insert sample file #}
            //region owner0
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner0', 'dataurl':dataurl_pdf,  'filename':filename_pdf, 'filetype':filetype_pdf}  }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner0', 'dataurl':dataurl_png2, 'filename':filename_png2,'filetype':filetype_png2} }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner0', 'dataurl':dataurl_png,  'filename':filename_png, 'filetype':filetype_png}  }),
            //endregion owner0

            //region owner1
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_pdf,  'filename':filename_pdf, 'filetype':filetype_pdf}  }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_png2, 'filename':filename_png2,'filetype':filetype_png2} }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_png2, 'filename':filename_png2,'filetype':filetype_png2} }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_png,  'filename':filename_png, 'filetype':filetype_png}  }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_png,  'filename':filename_png, 'filetype':filetype_png}  }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_png,  'filename':filename_png, 'filetype':filetype_png}  }),

            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_pdf,  'filename':filename_pdf, 'filetype':filetype_pdf}  }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_png2, 'filename':filename_png2,'filetype':filetype_png2} }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_png2, 'filename':filename_png2,'filetype':filetype_png2} }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_png,  'filename':filename_png, 'filetype':filetype_png}  }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_png,  'filename':filename_png, 'filetype':filetype_png}  }),
            $.ajax({ url: '{{ API_URL }}/fileupload', method: 'POST', data: {'owner_id':'owner1', 'dataurl':dataurl_png,  'filename':filename_png, 'filetype':filetype_png}  }),
            //endregion owner1

        ).done(function(a0, o0a1,o0a2,o0a3, o1a1,o1a2,o1a3,o1a4,o1a5,o1a6, o1a1b,o1a2b,o1a3b,o1a4b,o1a5b,o1a6b, ) { {# each param is an array [data, statusText, jqXHR] #}
            $('#output').append(``
                +`\ndone @ DELETE fileupload_dropcollection @ ${  a0[1]} ${JSON.stringify(a0[0])}`
                +`\n`
                +`\ndone @ POST   fileupload                @ ${o0a1[1]} ${JSON.stringify(o0a1[0])}`
                +`\ndone @ POST   fileupload                @ ${o0a2[1]} ${JSON.stringify(o0a2[0])}`
                +`\ndone @ POST   fileupload                @ ${o0a3[1]} ${JSON.stringify(o0a3[0])}`
                +`\n`
                +`\ndone @ POST   fileupload                @ ${o1a1[1]} ${JSON.stringify(o1a1[0])}`
                +`\ndone @ POST   fileupload                @ ${o1a2[1]} ${JSON.stringify(o1a2[0])}`
                +`\ndone @ POST   fileupload                @ ${o1a3[1]} ${JSON.stringify(o1a3[0])}`
                +`\ndone @ POST   fileupload                @ ${o1a4[1]} ${JSON.stringify(o1a4[0])}`
                +`\ndone @ POST   fileupload                @ ${o1a5[1]} ${JSON.stringify(o1a5[0])}`
                +`\ndone @ POST   fileupload                @ ${o1a6[1]} ${JSON.stringify(o1a6[0])}`
                +`\ndone @ POST   fileupload                @ ${o1a1[1]} ${JSON.stringify(o1a1b[0])}`
                +`\ndone @ POST   fileupload                @ ${o1a2[1]} ${JSON.stringify(o1a2b[0])}`
                +`\ndone @ POST   fileupload                @ ${o1a3[1]} ${JSON.stringify(o1a3b[0])}`
                +`\ndone @ POST   fileupload                @ ${o1a4[1]} ${JSON.stringify(o1a4b[0])}`
                +`\ndone @ POST   fileupload                @ ${o1a5[1]} ${JSON.stringify(o1a5b[0])}`
                +`\ndone @ POST   fileupload                @ ${o1a6[1]} ${JSON.stringify(o1a6b[0])}`
            )
        })
    })
    </script>
{% endblock js %}
